POST
/
proxy_api
/
v1
/
tl-geo-v2
/
users
/
generate_proxies
Generate proxies
curl --request POST \
  --url https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/tl-geo-v2/users/generate_proxies \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "userId": "<string>",
  "proxyAmount": 123,
  "country": "<string>",
  "state": "<string>",
  "city": "<string>",
  "isSticky": true,
  "sessionDuration": 123
}
'
[
  "<string>"
]

Authorizations

Authorization
string
header
required

[just text field] Please enter token in following format: Bearer

Body

application/json
userId
string
required

User Id

proxyAmount
number
required

Number of proxies to generate

country
string
required

Country code

state
string
required

State

city
string
required

City

isSticky
boolean
required

Sticky Session

sessionDuration
number
required

Session Duration

proxyType
enum<string>
required

Proxy Type

Available options:
http,
socks5
format
enum<string>
required

Plan Type

Available options:
ip:port:user:pass,
user:pass:ip:port,
user:pass@ip:port,
ip:port@user:pass

Response

Proxies generated